package org.foxarmy.barcodescannerforemployees

import java.net.HttpURLConnection
import java.net.URL

class Requester constructor(siteName:String, endpoint: String) {
    var siteName: String = siteName
    var endpoint: String = endpoint

    fun request (productId: String): String {
        val url = URL("${siteName}/$endpoint")

        var response: String = ""

        with(url.openConnection() as HttpURLConnection) {
            requestMethod = "GET"  // optional default is GET

            println("\nSent 'GET' request to URL : $url; Response Code : $responseCode")

            inputStream.bufferedReader().use {
                it.lines().forEach { line ->
                    response += line //+ '\n'
                }
            }
        }
        return response
    }
}