package org.foxarmy.barcodescannerforemployees

class Parser constructor(payloadStartRegex: String, payloadEndRegex: String, payloadRegex: String){
    val payloadStartRegex: String = payloadStartRegex
    val payloadEndRegex: String = payloadEndRegex
    val payloadRegex: String = payloadRegex

    fun parse(text: String): MutableList<AbstractProduct> {

        val payloadStart = Regex(payloadStartRegex)
        val payloadEnd = Regex(payloadEndRegex)
        val payload = Regex(payloadRegex)

        val startFound = payloadStart.find(text)?.value.toString()
        val payloadStartIndex = text.indexOf(startFound)
        var clearText = text.removeRange(
            0,
            if (payloadStartIndex < 0) 0 else payloadStartIndex
        )

        val endFound = payloadEnd.find(clearText)?.value.toString()
        val payloadEndIndex = clearText.indexOf(endFound)
        clearText = clearText.removeRange(
            if (payloadEndIndex < 0) 0 else payloadEndIndex - 1,
            clearText.length
        )

        println(clearText)

        var products = payload.findAll(clearText).toMutableList()

        for (product in products) {
            println(product.value)
        }

        return mutableListOf()
    }
}

fun main () {
    val p = Parser("""\<table\s*class\=\"randomBarcodes\"\s*>""", """\<\/table\>""", """[ёЁ\u0401\u0451\u0410-\u044f\d\w\s]{16,}""")
    p.parse(Requester("https://barcode-list.ru", "barcode/RU/Поиск.htm?barcode=4680036915828", ).request("4680036915828"))
//    println(Requester("https://barcode-list.ru", "barcode/RU/Поиск.htm?barcode=4680036915828", ).request("4680036915828"))

}