package org.foxarmy.barcodescannerforemployees

import android.app.Activity
import android.net.Uri
import androidx.core.content.FileProvider
import com.google.firebase.components.BuildConfig
import java.io.File
import java.security.MessageDigest

fun getImageUri(activity: Activity, imageFile: File): Uri? {
    return FileProvider.getUriForFile(activity, BuildConfig.APPLICATION_ID + "." + activity.localClassName + ".provider", imageFile)
}

@OptIn(ExperimentalStdlibApi::class)
fun String.md5(): String {
    val md = MessageDigest.getInstance("MD5")
    val digest = md.digest(this.toByteArray())
    return digest.toHexString()
}